Argentina companies search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-ar-companies-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "ypf",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-ar-companies-search"
payload = {
"keyword": "ypf",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'ypf', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-ar-companies-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "ar_companies_search",
"keyword": "ypf",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Argentina — Registro Nacional de Sociedades (IGJ) — company search\n\n- **Keyword:** ypf\n- **Results:** 2 of 77 found\n- **Proxy traffic:** 141.6 KB",
"machine": {
"total_items": 2,
"first_item": {
"registration_number": "30-51548847-9",
"name": "YPF GAS SOCIEDAD ANONIMA",
"status": null,
"address": "GUEMES, MACACHA,BOULEVARD 515, CAPITAL FEDERAL, CIUDAD AUTONOMA BUENOS AIRES (CP 1106)",
"url": "https://www.argentina.gob.ar/justicia/registro-nacional-sociedades?cuit=30515488479&razon=",
"company_type": "SOCIEDAD ANONIMA",
"incorporation_date": "1961-08-07",
"main_activity": "479900 - Venta al por menor no realizada en establecimientos n.c.p.",
"province": "CIUDAD AUTONOMA BUENOS AIRES"
},
"items": [
{
"registration_number": "30-51548847-9",
"name": "YPF GAS SOCIEDAD ANONIMA",
"status": null,
"address": "GUEMES, MACACHA,BOULEVARD 515, CAPITAL FEDERAL, CIUDAD AUTONOMA BUENOS AIRES (CP 1106)",
"url": "https://www.argentina.gob.ar/justicia/registro-nacional-sociedades?cuit=30515488479&razon=",
"company_type": "SOCIEDAD ANONIMA",
"incorporation_date": "1961-08-07",
"main_activity": "479900 - Venta al por menor no realizada en establecimientos n.c.p.",
"province": "CIUDAD AUTONOMA BUENOS AIRES"
},
{
"registration_number": "30-53928704-0",
"name": "REPARTIDORES DE KEROSENE YPF DE CORDOBA S R L",
"status": null,
"address": "RIO QUILPO 0, BARRIO LOS OLMOS, CORDOBA (CP 5016)",
"url": "https://www.argentina.gob.ar/justicia/registro-nacional-sociedades?cuit=30539287040&razon=",
"company_type": "SOCIEDAD DE RESPONSABILIDAD LIMITADA",
"incorporation_date": null,
"main_activity": "505000 -",
"province": "CORDOBA"
}
],
"total_found": 77,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 144995
},
"total_points": 2
}Company Registries
Argentina companies search
Search the Argentina registry of legal entities (Registro Nacional de Sociedades, IGJ) by company name or CUIT: name, CUIT, company type, address, main activity and link. 1 point per returned record.
POST
/
functions
/
v1
/
run-ar-companies-search
Argentina companies search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.